/*
 * Copyright 2018 Scytl Secure Electronic Voting SA
 *
 * All rights reserved
 *
 * See our extended copyright notice in *file 'Copyright.txt' which is part of this source code package
 */
package com.scytl.products.ov.commons.beans.domain.model.authentication;

public class ExtendedAuthenticationUpdate {

    private String oldAuthID;

    private String newAuthID;

    private String newSVK;

    private String authenticationTokenSignature;

    /**
     * Sets new newSVK.
     *
     * @param newSVK
     *            New value of newSVK.
     */
    public void setNewSVK(String newSVK) {
        this.newSVK = newSVK;
    }

    /**
     * Gets oldAuthID.
     *
     * @return Value of oldAuthID.
     */
    public String getOldAuthID() {
        return oldAuthID;
    }

    /**
     * Gets newSVK.
     *
     * @return Value of newSVK.
     */
    public String getNewSVK() {
        return newSVK;
    }

    /**
     * Sets new oldAuthID.
     *
     * @param oldAuthID
     *            New value of oldAuthID.
     */
    public void setOldAuthID(String oldAuthID) {
        this.oldAuthID = oldAuthID;
    }

    /**
     * Gets newAuthID.
     *
     * @return Value of newAuthID.
     */
    public String getNewAuthID() {
        return newAuthID;
    }

    /**
     * Sets new newAuthID.
     *
     * @param newAuthID
     *            New value of newAuthID.
     */
    public void setNewAuthID(String newAuthID) {
        this.newAuthID = newAuthID;
    }

    /**
     * Sets new authenticationTokenSignature.
     *
     * @param authenticationTokenSignature New value of authenticationTokenSignature.
     */
    public void setAuthenticationTokenSignature(String authenticationTokenSignature) {
        this.authenticationTokenSignature = authenticationTokenSignature;
    }

    /**
     * Gets authenticationTokenSignature.
     *
     * @return Value of authenticationTokenSignature.
     */
    public String getAuthenticationTokenSignature() {
        return authenticationTokenSignature;
    }
}
